@import url('/css/bootstrapBlazor/sweetalert2.css');

html, body {
}

.object-id:before {
    content: '#';
    margin-right: 3px;
}

.avatar {
    --avator-width: 64px;
    --avator-height: 64px;
    --avator-border: 3px;
    --avator-radius: 8px;
    width: var(--avator-width);
    height: var(--avator-height);
    border: var(--avator-border) solid var(--bs-info);
    border-radius: var(--avator-radius);
}

.avatar.avator-sm {
    --avator-width: 48px;
    --avator-height: 48px;
    --avator-border: 3px;
}

.icon-svg {
    --svg-width: 24px;
    --svg-height: 24px;
    display: inline-block;
    width: var(--svg-width);
    height: var(--svg-height);
}

.icon-svg.icon-svg-md {
    --svg-width: 16px;
    --svg-height: 16px;
}

.icon-svg.icon-svg-sm {
    --svg-width: 12px;
    --svg-height: 12px;
}

.icon-svg.icon-svg-rate10 {
    background-image: url(/images/rate-10.svg);
}

.icon-svg.icon-svg-rate20 {
    background-image: url(/images/rate-20.svg);
}

.icon-svg.icon-svg-rate30 {
    background-image: url(/images/rate-30.svg);
}

.icon-svg.icon-svg-rate40 {
    background-image: url(/images/rate-40.svg);
}

.sf-tabs .sf-tabs-content {
    display: none;
}

.sf-tabs .sf-tabs-content.active {
    display: block;
}

.circle-progress {
    --progress-bg: var(--bs-light);
    --progress-color: var(--bs-primary);
    --progress-text-color: var(--bs-dark);
    width: 150px;
    height: 150px;
    position: relative;
    border: 2px solid var(--bs-gray-300);
    border-radius: 50%;
    color: var(--progress-text-color);
    background: var(--progress-bg) linear-gradient(to right, transparent 50%, var(--progress-color) 0);
}

.popover img.cover {
    object-fit: cover;
    width: 100%;
}

.circle-progress h3 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 1;
}

.circle-progress::before {
    content: '';
    display: block;
    height: 100%;
    margin-left: 50%;
    transform-origin: left;
    border-radius: 0 100% 100% 0/50%;
}

.circle-progress::after {
    content: '';
    position: absolute;
    inset: 10px;
    border-radius: 50%;
    background: var(--progress-bg);
}

.circle-progress::before {
    background: var(--progress-color);
    transform: rotate(calc(((var(--progress-val) - 50) * 0.01turn)));
}

.circle-progress.less::before {
    background: var(--progress-bg);
    transform: rotate(calc(((var(--progress-val) - 0) * 0.01turn)));
}

.input-group .btn-group:not(:last-child) {
    border-radius: 0px !important;
}

.input-group .radio-list-group:not(:last-child) .btn-group {
    border-radius: 0px !important;
}

.input-group > *:not(:first-child) .btn-group .btn {
    border-radius: 0px !important;
}

.input-group > *:first-child .btn-group .btn:not(:first-child) {
    border-radius: 0px !important;
}

.form-control:has(input:disabled) {
    background-color: var(--bs-secondary-bg);
}

.dropdown-menu .has-leaf {
    color: var(--bs-body-color) !important;
    background-color: var(--bs-body-bg) !important;
}

.dropdown-menu .sub-menu .nav-link {
    cursor: pointer;
}

input.form-select {
    cursor: pointer;
}

.input-group-text .switch {
    padding: 0;
}

.fa + .text,
.text + .fa {
    margin-left: 2px;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.list-group {
    border: 0px;
}

.list-group-item.active a {
    color: var(--bs-list-group-active-color);
}

.list-group-item.active a:hover,
.list-group-item.active a:active {
    color: var(--bs-list-group-action-hover-color);
}

.badge-main,
.badge-high {
    background-color: var(--bs-primary) !important;
}

.badge-predicted,
.badge-oftenly {
    background-color: var(--bs-green) !important;
    color: var(--bs-dark);
}

.badge-test,
.badge-low {
    background-color: var(--bs-blue) !important;
}

.badge-other,
.badge-all,
.badge-sporadically,
.badge-unknow {
    background-color: var(--bs-gray-300) !important;
}

.alert {
    white-space: wrap;
    word-break: keep-all
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

@media (max-width: 640.98px) {
    html, body {
        width: 100vw;
    }

    .modal {
        --bs-modal-header-padding-x: 0.5rem;
        --bs-modal-header-padding-y: 0.5rem;
        --bs-modal-header-padding: 0.5rem 0.5rem;
        --bs-modal-padding: 0.25rem 0.25rem;
    }

    .modal-content {
        height: 100%;
        border: 0;
        border-radius: 0;
    }

    .modal-dialog .modal-header,
    .modal-dialog .modal-footer {
        border-radius: 0;
    }

    .modal-dialog .modal-body {
        overflow-y: auto;
    }
}